curl --request PUT \
--url https://{base_url_domain}/api/global/v1/system/userRoles/{type}/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "OrganizationUserRole",
"name": "Administrators",
"permissions": [
"warehouse",
"warehouse/staff",
"warehouse/staff/time_entry_log",
"warehouse/staff/time_management",
"warehouse/staff/time_management/excluded",
"warehouse/staff/time_management/status_dashboard"
]
}
'import requests
url = "https://{base_url_domain}/api/global/v1/system/userRoles/{type}/{id}"
payload = {
"type": "OrganizationUserRole",
"name": "Administrators",
"permissions": ["warehouse", "warehouse/staff", "warehouse/staff/time_entry_log", "warehouse/staff/time_management", "warehouse/staff/time_management/excluded", "warehouse/staff/time_management/status_dashboard"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'OrganizationUserRole',
name: 'Administrators',
permissions: [
'warehouse',
'warehouse/staff',
'warehouse/staff/time_entry_log',
'warehouse/staff/time_management',
'warehouse/staff/time_management/excluded',
'warehouse/staff/time_management/status_dashboard'
]
})
};
fetch('https://{base_url_domain}/api/global/v1/system/userRoles/{type}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"type": "parameters",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}{
"errors": [
{
"type": "not_found",
"message": "The server could not find the requested resource."
}
]
}{
"errors": [
{
"type": "unable_to_process",
"message": "The supplied parameters are invalid.",
"details": [
{
"key": "hold_until_date",
"message": "The date must be in the future."
}
]
}
]
}Update one User Role
Update an existing User Role by internal ID.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
Specify the user type to which your operations will be restricted.
any, organization, client The id of the referenced UserRole.
x >= 1Body
Updates an existing UserRole specified by its type and id path parameters and according to the request body.
- OrganizationUserRole
- ClientUserRole
An OrganizationUserRole is used to provide a specific set of permissions to an organization's user.
This is a read-only property that describes the type of object in the response body.
OrganizationUserRole The name of the User Role.
50"Administrators"
A list of permissions for a single role.
[
"warehouse",
"warehouse/staff",
"warehouse/staff/time_entry_log",
"warehouse/staff/time_management",
"warehouse/staff/time_management/excluded",
"warehouse/staff/time_management/status_dashboard"
]
Response
OK - The operation completed successfully and there is no response body.
Was this page helpful?